clang-tools 6.0.0

Public Member Functions | List of all members
CollectEntitiesConsumer Class Reference
Inheritance diagram for CollectEntitiesConsumer:
[legend]
Collaboration diagram for CollectEntitiesConsumer:
[legend]

## Public Member Functions
| CollectEntitiesConsumer (EntityMap &Entities, PreprocessorTracker &preprocessorTracker, Preprocessor &PP, StringRef InFile, int &HadErrors)
| ~CollectEntitiesConsumer () override
void | HandleTranslationUnit (ASTContext &Ctx) override

## Detailed Description

Definition at line 655 of file Modularize.cpp.

## Constructor & Destructor Documentation

## ◆ CollectEntitiesConsumer()

CollectEntitiesConsumer::CollectEntitiesConsumer | ( | EntityMap & | Entities,
|  | PreprocessorTracker & | preprocessorTracker,
|  | Preprocessor & | PP,
|  | StringRef | InFile,
|  | int & | HadErrors
| ) |  |
| inline

Definition at line 657 of file Modularize.cpp.

## ◆ ~CollectEntitiesConsumer()

CollectEntitiesConsumer::~CollectEntitiesConsumer | ( |  | ) |
| inline override

Definition at line 665 of file Modularize.cpp.

## Member Function Documentation

## ◆ HandleTranslationUnit()

void CollectEntitiesConsumer::HandleTranslationUnit | ( | ASTContext & | Ctx | ) |
| inline override

Definition at line 667 of file Modularize.cpp.

The documentation for this class was generated from the following file:

- Modularize.cpp